db_uri: mongodb://localhost/open5gs

#
# logger:
#
#  o Set OGS_LOG_INFO to all domain level
#   - If `level` is omitted, the default level is OGS_LOG_INFO)
#   - If `domain` is omitted, the all domain level is set from 'level'
#    (Nothing is needed)
#
#  o Set OGS_LOG_ERROR to all domain level
#   - `level` can be set with none, fatal, error, warn, info, debug, trace
#    level: error
#
#  o Set OGS_LOG_DEBUG to mme/emm domain level
#    level: debug
#    domain: mme,emm
#
#  o Set OGS_LOG_TRACE to all domain level
#    level: trace
#    domain: core,sbi,nrf,event,mem,sock
#
logger:
    level: info

#
# nrf:
#
#  <SBI Server>
#
#  o SBI Server(http://<all address available>:80)
#    sbi:
#
#  o SBI Server(http://<any address>:7777)
#    sbi:
#      - addr:
#          - 0.0.0.0
#          - ::0
#        port: 7777
#
#  o SBI Server(https://<all address avaiable>:443)
#    sbi:
#        tls:
#          key: nrf.key
#          pem: nrf.pem
#
#  o SBI Server(https://127.0.0.10:443, http://[::1]:80)
#    sbi:
#      - addr: 127.0.0.10
#        tls:
#          key: nrf.key
#          pem: nrf.pem
#      - addr: ::1
#
#  o SBI Server(http://nrf.open5gs.org:80)
#    sbi:
#      name: nrf.open5gs.org
#
#  o SBI Server(http://127.0.0.10:7777)
#    sbi:
#      - addr: 127.0.0.10
#        port: 7777
#
#  o SBI Server(http://<eth0 IP address>:80)
#    sbi:
#      dev: eth0
#
nrf:
    sbi:
      addr:
        - 172.18.18.10
      port: 7777

#
# parameter:
#
#  o Number of output streams per SCTP associations.
#      sctp_streams: 30
#
#  o Disable use of IPv4 addresses (only IPv6)
#      no_ipv4: true
#
#  o Disable use of IPv6 addresses (only IPv4)
#      no_ipv6: true
#
#  o Prefer IPv4 instead of IPv6 for estabishing new GTP connections.
#      prefer_ipv4: true
#
parameter:

#
# max:
#
# o Maximum Number of UE per AMF/MME
#    ue: 1024
# o Maximum Number of gNB/eNB per AMF/MME
#    gnb: 64
#
max:

#
# pool:
#
# o The default memory pool size was set assuming 1024 UEs.
#   To connect more UEs, you need to increase the size further.
#
#   - Pool-size 128         => 65536 Number
#   - Pool-size 256         => 16384 Number
#   - Pool-size 512         => 4096 Number
#   - Pool-size 1024        => 1024 Number
#   - Pool-size 2048        => 512 Number
#   - Pool-size 8192        => 128 Number
#   - Pool-size 1024*1024   => 8 Number
#
#    128:  65536
#    256:  16384
#    512:  4096
#    1024: 1024
#    2048: 512
#    8192: 128
#    big:  8
#
pool:

#
# time:
#
#  o NF Instance Heartbeat (Default : 10 seconds)
#
#  o NF Instance Heartbeat (Disabled)
#    nf_instance:
#      heartbeat: 0
#
#  o NF Instance Heartbeat (5 seconds)
#    nf_instance:
#      heartbeat: 5
#
#  o NF Instance Validity (Default : 3600 seconds = 1 hour)
#
#  o NF Instance Validity (10 seconds)
#    nf_instance:
#      validity: 10
#
#  o Subscription Validity (Default : 86400 seconds = 1 day)
#
#  o Subscription Validity (Disabled)
#    subscription:
#      validity: 0
#
#  o Subscription Validity (3600 seconds = 1 hour)
#    subscription:
#      validity: 3600
#
#  o Message Wait Duration (Default : 10,000 ms = 10 seconds)
#
#  o Message Wait Duration (3000 ms)
#    message:
#        duration: 3000
time:
